#pragma once
#include <string>
#include <vector>

#include "Graphics/Transform.h"
#include "Scene/Node.h"
/*
*	Scene should be a description of a game world 
*/
class Scene {

public:
	Node& GetSceneNode(std::string);
	Node& GetRoot();

	Scene(const std::string& sceneName = "Default Scene");
	~Scene();

private:
	Node* root;
		
};

